<template>
    <!-- Chat Sidebar -->
    <aside id="chat-sidebar" class="chat-sidebar bg-white position-fixed top-0 end-0 z-4 vh-100 menu border shadow">
    </aside>
</template>

<script setup>
import { ref } from "vue";

// 채팅 메시지 리스트
const messages = ref([
    { user: "사용자1", text: "안녕하세요!" },
    { user: "사용자2", text: "안녕하세요. 반갑습니다." }
]);

const newMessage = ref("");

// 메시지 전송
const sendMessage = () => {
    if (newMessage.value.trim() !== "") {
        messages.value.push({ user: "나", text: newMessage.value });
        newMessage.value = "";
    }
};
</script>

<style scoped>

.chat-sidebar {
    width: 20%;
}
</style>
